
def aggregate_data(collection, pipeline):
    """
    Aggregate data from a MongoDB collection using a specified aggregation pipeline.

    :param collection: The MongoDB collection to aggregate data from.
    :param pipeline: A list of aggregation pipeline stages.
    :return: The aggregated results.
    """
    return collection.aggregate(pipeline)



